Package com.orbbec.obsensor

## Class Recorder

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Recorder

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class Recorder
    extends LobClass

data recorder

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`Recorder()` Create a recorder
`Recorder​(Device device)` Create a recorder by specifying a device

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` release recorder resources
`void` `start​(java.lang.String fileName, boolean async)` start recording
`void` `stop()` Stop recording
`void` `writeFrame​(Frame frame)` Write frame data to the recorder

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Recorder

    public Recorder()

Create a recorder

#### Recorder

    public Recorder​(Device device)

Create a recorder by specifying a device

Parameters:
  `device` - device

### Method Detail

#### start

    public void start​(java.lang.String fileName,
                      boolean async)

start recording

Parameters:
  `fileName` - Recorded file name
  `async` - Whether to record asynchronously

#### stop

    public void stop()

Stop recording

#### writeFrame

    public void writeFrame​(Frame frame)

Write frame data to the recorder

Parameters:
  `frame` - Written frame data

#### close

    public void close()

release recorder resources